## rt3290bt-dkms 3.9.4stella3

=== rt3290bt-3.9.4stella3/Makefile ===
#include config.mk

CONFIG_RTBTH = m
MOD_NAME = rtbth
obj-$(CONFIG_RTBTH) := $(MOD_NAME).o
$(MOD_NAME)-objs := rtbth_core_main.o \
					rtbth_core_init.o \
					rtbth_core_pci.o \
					rtbth_core_bluez.o \
					rtbth_core_us.o \
					rtbth_hlpr_hw.o \
					rtbth_hlpr_dbg.o \
					rtbth_hlpr_linux.o \
					
ccflags-y := -I$(src)/include
ccflags-y += -DDBG -DRT3298 -DRTBT_IFACE_PCI -DLINUX

MAKE = make
LINUX_SRC ?= /lib/modules/$(KVER)/build
PWD := $(shell pwd)

all:
	$(MAKE) -C $(LINUX_SRC) M=$(PWD) modules

=== rt3290bt-3.9.4stella3/rt3290bt-dkms-mkdsc/debian/changelog ===
rt3290bt-dkms (3.9.4stella3) precise; urgency=low

  * Solve upgrade kernel issue. (LP: #1088407)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 12 Dec 2012 15:39:02 +0800

rt3290bt-dkms (3.9.4stella2) precise; urgency=low

  * Solve upgrade kernel issue. (LP: #1088407)
  * fixed a issue found on Osaka27 which when upgrade will
    cause a kernel panic. (but can change to ALT+CTRL+F7).
    (LP: #1089230)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 12 Dec 2012 15:19:11 +0800

rt3290bt-dkms (3.9.4stella1) precise; urgency=low

  * update upstream code to 3.9.4
  * fix BT keyboard/mouse crash issue. (LP: #1057944)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Mon, 22 Oct 2012 19:21:30 +0800

rt3290bt-dkms (3.9.3stella2) precise; urgency=low

  * add permission fix for rtbt.bin

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 26 Sep 2012 11:18:46 +0800

rt3290bt-dkms (3.9.3stella1) precise; urgency=low

  * upstream code changes to 3.9.3
  * fixed [OSAKA 19] Press F12, LED can't change issue.
    (LP: #1050150)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Tue, 25 Sep 2012 13:47:52 +0800

rt3290bt-dkms (3.9.1stella2) precise; urgency=low

  * turn off debug messages.
  * make compile -j4.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Fri, 10 Aug 2012 13:27:29 +0800

rt3290bt-dkms (3.9.1stella1) precise; urgency=low

  * upstream update version, mainly for suspend/resume issue.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Fri, 10 Aug 2012 13:19:04 +0800

rt3290bt-dkms (3.8.3stella2) precise; urgency=low

  * workaround propritary binary dependency issue.

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Fri, 29 Jun 2012 10:13:46 +0800

rt3290bt-dkms (3.8.3stella1) precise; urgency=low

  * Initial release. (Closes: #1009059)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Thu, 28 Jun 2012 19:11:22 +0800

=== debian/control ===
Source: rt3290bt-dkms
Section: misc
Priority: optional
Maintainer: Canonical OEM Services <solutions-group@lists.canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.8.4

Package: rt3290bt-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: rt3290bt driver in DKMS format.

=== rt3290bt-3.9.4stella3/rt3290bt-dkms-mkdsc/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Canonical OEM Services <solutions-group@lists.canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.8.4

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: DEBIAN_PACKAGE driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=rt3290bt
NAME=rt3290bt
VERSION=3.9.4stella3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
